## ros-melodic-seed-r7-description 0.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(seed_r7_description)

## Find catkin macros and libraries
find_package(catkin REQUIRED)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_seed_r7_typef.xml)
endif()

install(DIRECTORY meshes urdf typef csv
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-seed-r7-description (0.3.3-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- hi.kondo <hi.kondo@thk.co.jp>  Wed, 04 Dec 2019 12:11:35 -0000

ros-melodic-seed-r7-description (0.0.3-1stretch) stretch; urgency=high

  * fixes
  * Merge pull request #4 <https://github.com/hi-kondo/noid-ros-pkg/issues/4> from hi-kondo/development
    package.xml tag changed
  * package.xml tag changed
  * Merge pull request #3 <https://github.com/hi-kondo/noid-ros-pkg/issues/3> from hi-kondo/development
    update package.xml ver0.0.2
  * Merge pull request #2 <https://github.com/hi-kondo/noid-ros-pkg/issues/2> from seed-solutions/development
    v0.01 pre-release
  * Merge pull request #1 <https://github.com/hi-kondo/noid-ros-pkg/issues/1> from hi-kondo/master
    v0.0.1-pre
  * Merge pull request #1 <https://github.com/hi-kondo/noid-ros-pkg/issues/1> from hi-kondo/development
    description and moveit_config upload
  * Contributors: hi-kondo

 -- hi.kondo <hi.kondo@thk.co.jp>  Tue, 25 Jun 2019 15:00:00 -0000

ros-melodic-seed-r7-description (0.0.2-1stretch) stretch; urgency=high

  * update package.xml
  * ver 0.0.1
  * robot_description added
  * directory name changed
  * Contributors: hi-kondo

 -- hi.kondo <hi.kondo@thk.co.jp>  Tue, 25 Jun 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-seed-r7-description
Section: misc
Priority: optional
Maintainer: hi.kondo <hi.kondo@thk.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-seed-r7-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-xacro
Description: The seed_r7_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-seed-r7-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
